package com.ruoyi.gysl.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.gysl.entity.baseModel.BaseModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 单片材料管理(Dpclgl)表实体类
 *
 * @author makejava
 * @since 2025-03-22 11:11:55
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("gysl_dpclgl")
public class Dpclgl extends BaseModel implements Serializable{

    @ApiModelProperty(value = "主键id")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("文件标题")
    private String fileTitle;

    @ApiModelProperty("发布单位")
    private String unit;

    @ApiModelProperty("文件内容")
    private String content;

}

