package com.ruoyi.gysl.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.gysl.entity.baseModel.BaseModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 项目其他信息(ProjectOtherInfo)表实体类
 *
 * @author makejava
 * @since 2025-03-19 10:49:22
 */

@EqualsAndHashCode(callSuper = true)
@TableName("gysl_project_other_info")
@Data
public class ProjectOtherInfo  extends BaseModel implements Serializable {

    @TableField("id")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("项目id")
    private Long xmId;

    @ApiModelProperty("键")
    private String zdname;

    @ApiModelProperty("值")
    private String zdinfor;
}

