package com.ruoyi.gysl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.gysl.entity.BasicInformation;
import com.ruoyi.gysl.entity.request.BasicInformationPageReq;
import com.ruoyi.gysl.entity.response.ProjectExcelInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 基本信息(BasicInformation)表数据库访问层
 *
 * @author makejava
 * @since 2025-02-24 09:25:51
 */
public interface BasicInformationMapper extends BaseMapper<BasicInformation> {

    /**
     * 根据基本信息的id列表来查找
     */
    List<ProjectExcelInfo> selectList(@Param("idList") List<Long> idList);

    /**
     * 分页查询所有数据
     *
     * @param page             分页对象
     * @param req 查询实体
     * @return 所有数据
     */
    Page<BasicInformation> page(Page<BasicInformation> page, @Param("req") BasicInformationPageReq req);

    /**
     * 有经纬度的项目列表
     */
    Page<BasicInformation> projectList(Page<BasicInformation> page);
}

