package com.ruoyi.gysl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.gysl.entity.PlanInformation;
import com.ruoyi.gysl.entity.request.ZwIdPageReq;
import org.apache.ibatis.annotations.Param;

/**
 * 规划信息(PlanInformation)表数据库访问层
 *
 * @author makejava
 * @since 2025-02-24 14:21:58
 */
public interface PlanInformationMapper extends BaseMapper<PlanInformation> {

    /**
     * 根据项目id查询规划信息
     *
     * @param zwIdPageReq 查询实体
     * @return 所有数据
     */
    PlanInformation selectAll(@Param("req") ZwIdPageReq zwIdPageReq);
}

