package com.ruoyi.gysl.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.gysl.entity.Enterprise;
import com.ruoyi.gysl.entity.request.ZwIdPageReq;

/**
 * 企业基本信息(Enterprise)表服务接口
 *
 * @author makejava
 * @since 2025-02-24 11:26:49
 */
public interface EnterpriseService extends IService<Enterprise> {


    /**
     * 根据项目id分页查询入驻企业
     *
     * @param page       分页对象
     * @param req 查询实体
     * @return 所有数据
     */
    Page<Enterprise> page(Page<Enterprise> page, ZwIdPageReq req);
}

