package com.ruoyi.gysl.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.gysl.entity.baseModel.BaseModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 目录管理(Ml)表实体类
 *
 * @author makejava
 * @since 2025-03-22 09:21:57
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("gysl_ml")
public class Ml extends BaseModel implements Serializable{

    @ApiModelProperty(value = "主键id")
    @TableId(type = IdType.AUTO)
    private Long id;

    @Excel(name = "上楼目录类别")
    @ApiModelProperty("上楼目录类别")
    private Integer slmllb;

    @Excel(name = "工业大类")
    @ApiModelProperty("工业大类")
    private String gydl;

    @Excel(name = "产业")
    @ApiModelProperty("产业")
    private String cy;
}

