package com.ruoyi.gysl.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.gysl.entity.baseModel.BaseModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 项目评价配置(Pjpz)实体类
 *
 * @author makejava
 * @since 2025-02-24 13:52:56
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("gysl_pjpz")
@ApiModel(value = "Pjpz", description = "项目评价配置")
public class Pjpz extends BaseModel implements Serializable {
    private static final long serialVersionUID = -25318153790915105L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 评价要素
     */
    @ApiModelProperty(value = "评价要素")
    private String pjys;

    /**
     * 评分规则
     */
    @ApiModelProperty(value = "评分规则")
    private String pfgz;


}
