package com.ruoyi.gysl.entity;

import java.util.Date;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.gysl.entity.baseModel.BaseModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * (Xmzsk)实体类
 *
 * @author makejava
 * @since 2025-02-24 14:31:17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("gysl_xmzsk")
@ApiModel(value = "Xmzsk", description = "$tableInfo.comment")
public class Xmzsk extends BaseModel implements Serializable {
    private static final long serialVersionUID = 442554812871200496L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 文件名称
     */
    @ApiModelProperty(value = "文件名称")
    @TableField("name")
    private String name;

    /**
     * 类型
     */
    @ApiModelProperty(value = "类型")
    @TableField("lx")
    private String lx;

    /**
     * 网址
     */
    @ApiModelProperty(value = "类型")
    @TableField("wz")
    private String wz;

    /**
     * 附件
     */
    @ApiModelProperty(value = "附件")
    @TableField("fj")
    private String fj;

    /**
     * 上传用户
     */
    @ApiModelProperty(value = "上传用户")
    @TableField("scyh")
    private String scyh;

    /**
     * 上传时间
     */
    @ApiModelProperty(value = "上传时间")
    @TableField("scsj")
    private Date scsj;

}
