package com.ruoyi.gysl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.gysl.entity.Pjpz;
import com.ruoyi.gysl.entity.request.PjpzRequest;
import org.apache.ibatis.annotations.Param;

/**
 * 项目评价配置(Pjpz)表数据库访问层
 *
 * @author makejava
 * @since 2025-02-24 13:52:56
 */
public interface PjpzMapper extends BaseMapper<Pjpz> {

    /**
     * 分页查询所有数据
     *
     * @param page 分页对象
     * @param pjpz 查询实体
     * @return 所有数据
     */
    Page<Pjpz> page(Page<Pjpz> page,@Param("req") PjpzRequest pjpz);
}

