package com.ruoyi.gysl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.gysl.entity.ProjectOtherInfo;
import com.ruoyi.gysl.entity.request.ZwIdPageReq;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 项目其他信息(ProjectOtherInfo)表数据库访问层
 *
 * @author makejava
 * @since 2025-03-19 10:49:22
 */
public interface ProjectOtherInfoMapper extends BaseMapper<ProjectOtherInfo> {

    /**
     * 根据项目id查询项目其他信息
     *
     * @param zwIdPageReq 查询实体
     * @return 所有数据
     */
    List<ProjectOtherInfo> searchId(@Param("req") ZwIdPageReq zwIdPageReq);
}

