package com.ruoyi.gysl.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.gysl.entity.request.PjpzRequest;
import com.ruoyi.gysl.mapper.PjpzMapper;
import com.ruoyi.gysl.entity.Pjpz;
import com.ruoyi.gysl.service.PjpzService;
import org.springframework.stereotype.Service;

/**
 * 项目评价配置(Pjpz)表服务实现类
 *
 * @author makejava
 * @since 2025-02-24 13:52:56
 */
@Service("pjpzService")
public class PjpzServiceImpl extends ServiceImpl<PjpzMapper, Pjpz> implements PjpzService {

    /**
     * 分页查询所有数据
     *
     * @param page 分页对象
     * @param pjpz 查询实体
     * @return 所有数据
     */
    @Override
    public Page<Pjpz> page(Page<Pjpz> page, PjpzRequest pjpz) {
        return baseMapper.page(page,pjpz);
    }
}

